Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2181237 - perl-Business-ISBN-3.007-5.fc39 FTBFS: t/errors.t: Failed test 'ISBN 9786316294241 error text mentions 'group''
Summary: perl-Business-ISBN-3.007-5.fc39 FTBFS: t/errors.t: Failed test 'ISBN 97863162...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Business-ISBN
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-03-23 11:46 UTC by Petr Pisar
Modified: 2023-04-15 02:02 UTC (History)
4 users (show)

Fixed In Version: perl-Business-ISBN-3.008-1.fc39 perl-Business-ISBN-3.008-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-15 02:02:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github briandfoy business-isbn issues 24 0 None open t/errors.t fails with Business-ISBN-Data-20230316.001 2023-03-23 14:56:20 UTC

Description Petr Pisar 2023-03-23 11:46:35 UTC
perl-Business-ISBN-3.007-5.fc39 fails to build in Fedora 39 because a test fails:

t/constants.t ............ ok
    #   Failed test 'ISBN 9786316294241 error text mentions 'group''
    #   at t/errors.t line 18.
    #                   'Invalid publisher code'
    #     doesn't match '(?^:group)'
    #   Failed test 'ISBN 9786316294241 has a bad group'
    #   at t/errors.t line 19.
    #   Failed test 'ISBN 6316294247 error text mentions 'group''
    #   at t/errors.t line 18.
    #                   'Invalid publisher code'
    #     doesn't match '(?^:group)'
    #   Failed test 'ISBN 6316294247 has a bad group'
    #   at t/errors.t line 19.
    # Looks like you failed 4 tests of 11.
#   Failed test 'bad_group'
#   at t/errors.t line 29.
# Looks like you failed 1 test of 4.
t/errors.t ............... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/4 subtests 

A difference between passing and failing build roots is at <https://koschei.fedoraproject.org/build/15154219>. An update of perl-Business-ISBN-Data from 20210112.006-7.fc38 to 20230316.001-1.fc39 is suspicious.

Comment 1 Michal Josef Spacek 2023-03-23 12:05:47 UTC
This is related to Business::ISBN::Data

20230316.001 2023-03-16T14:14:06Z
        * Update data to March 2023

Comment 2 Fedora Update System 2023-03-24 07:10:51 UTC
FEDORA-2023-5b3f14cd81 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5b3f14cd81

Comment 3 Fedora Update System 2023-03-25 02:44:30 UTC
FEDORA-2023-5b3f14cd81 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5b3f14cd81

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-04-15 02:02:19 UTC
FEDORA-2023-5b3f14cd81 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.